Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(71)

Issue 186763004: Add breakpad support for me2me and it2me native messaging host on Mac. (Closed)

Created:
5 years, 5 months ago by weitao
Modified:
5 years, 4 months ago
CC:
chromium-reviews, dennis_jeffrey, anantha, dyu1, chromoting-reviews_chromium.org
Visibility:
Public.

Description

Add breakpad support for me2me and it2me native messaging host on Mac. Changes in this CL include: 1. Initialize breakpad in it2me native messaging host 2. Create bundles for it2me and me2me native messaging hosts and move them out of the me2me host bundle (and update the manifests accordingly). 3. Dump symbols of the it2me and me2me native messaging hosts 4. Sign the me2me and it2me native messaging hosts 4. Rename the me2me host bundle and the prefPane bundle to get rid of the internal chromium/chromoting names and to conform to Mac convention 5. Refactor GYP, build-installer-archive.py, and do_signing.sh, etc to use name constants from branding_chrome and branding_chromium instead of hard coded names. This ensures that all the name constants are defined in a central location and reduces duplicate name definitions. Here are the names of the host bundles: me2me host: old name: org.chromium.chromoting.me2me_host new name: ChromeRemoteDesktop.Host Pref pane: old name: org.chromium.chromoting.prefPane new name: ChromeRemoteDesktop.prefPane it2me nm host: name: NativeMessagingHost Full Path: /Library/Google/ChromeRemoteDesktop/NativeMessagingHost.app me2me nm host: name: RemoteAssistanceHost Full path: /Library/Google/ChromeRemoteDesktop/RemoteAssistanceHost.app BUG= Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=259287 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=260075

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Total comments: 11

Patch Set 4 : more renaming #

Patch Set 5 : Don't rename the manifest file and the .conf, .log, and .plist files. #

Total comments: 8

Patch Set 6 : Rename CFBundleIdentifier of the NM hosts #

Total comments: 1

Patch Set 7 : Fix Linux build break in Official Chrome build. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+227 lines, -44 lines) Patch
M chrome/test/pyautolib/chromoting_helper.py View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/branding_Chrome View 1 2 3 4 5 1 chunk +6 lines, -0 lines 0 comments Download
M remoting/branding_Chromium View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
M remoting/host/constants_mac.cc View 1 2 3 4 2 chunks +5 lines, -3 lines 0 comments Download
M remoting/host/installer/linux/Makefile View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/installer/mac/ChromotingHostService.pkgproj View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
D remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh View 1 2 3 4 1 chunk +5 lines, -3 lines 0 comments Download
M remoting/host/installer/mac/do_signing.props View 1 2 3 1 chunk +7 lines, -3 lines 0 comments Download
M remoting/host/installer/mac/do_signing.sh View 1 2 3 2 chunks +20 lines, -10 lines 0 comments Download
A + remoting/host/it2me/remote_assistance_host-Info.plist View 1 chunk +2 lines, -2 lines 0 comments Download
A + remoting/host/it2me/remote_assistance_host-InfoPlist.strings.jinja2 View 0 chunks +-1 lines, --1 lines 0 comments Download
M remoting/host/setup/me2me_native_messaging_host_main.cc View 1 2 3 2 chunks +20 lines, -0 lines 0 comments Download
A + remoting/host/setup/native_messaging_host-Info.plist View 1 chunk +2 lines, -2 lines 0 comments Download
A + remoting/host/setup/native_messaging_host-InfoPlist.strings.jinja2 View 0 chunks +-1 lines, --1 lines 0 comments Download
M remoting/remoting_host.gypi View 1 2 3 4 5 6 chunks +130 lines, -3 lines 0 comments Download
M remoting/remoting_host_linux.gypi View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M remoting/remoting_host_mac.gypi View 1 2 3 4 4 chunks +14 lines, -9 lines 0 comments Download
M remoting/tools/get_mac_crd_version.sh View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/tools/register_local_nm_hosts.sh View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 31 (0 generated)
weitao
Ideally I should separate the renaming and refactoring changes from the breakpad change. But that ...
5 years, 5 months ago (2014-03-06 18:54:34 UTC) #1
weitao
Please disregard the previous incorrectly titled CR request email. :) Ideally I should separate the ...
5 years, 5 months ago (2014-03-06 18:56:24 UTC) #2
weitao
Forgot to mention this: I don't believe signing script on Google3 needs to be updated. ...
5 years, 5 months ago (2014-03-06 19:17:07 UTC) #3
weitao
ping... ...
5 years, 5 months ago (2014-03-08 00:20:24 UTC) #4
Sergey Ulanov
That's awesome stuff!!! Thank you for working on this! I think you also need to ...
5 years, 5 months ago (2014-03-08 02:37:55 UTC) #5
weitao
PTAL. 1. Feedback on bundle names and locations addressed 2. Fixed the uninstaller 3. Updated ...
5 years, 5 months ago (2014-03-19 07:22:36 UTC) #6
weitao
I reverted the renaming of the config file, the .conf, .log, .plist, and .sh files. ...
5 years, 5 months ago (2014-03-24 17:09:30 UTC) #7
Sergey Ulanov
https://codereview.chromium.org/186763004/diff/80001/remoting/branding_Chrome File remoting/branding_Chrome (right): https://codereview.chromium.org/186763004/diff/80001/remoting/branding_Chrome#newcode10 remoting/branding_Chrome:10: MAC_NATIVE_MESSAGING_HOST_BUNDLE_ID=com.google.chromeremotedesktop.native-messaging-host can this be in com.google.chrome.remote_desktop.native_messaging_host, to make it ...
5 years, 5 months ago (2014-03-24 19:11:04 UTC) #8
weitao
https://codereview.chromium.org/186763004/diff/80001/remoting/branding_Chrome File remoting/branding_Chrome (right): https://codereview.chromium.org/186763004/diff/80001/remoting/branding_Chrome#newcode10 remoting/branding_Chrome:10: MAC_NATIVE_MESSAGING_HOST_BUNDLE_ID=com.google.chromeremotedesktop.native-messaging-host On 2014/03/24 19:11:04, Sergey Ulanov wrote: > can ...
5 years, 5 months ago (2014-03-24 21:21:33 UTC) #9
Sergey Ulanov
lgtm
5 years, 5 months ago (2014-03-24 23:32:35 UTC) #10
weitao
The CQ bit was checked by weitaosu@chromium.org
5 years, 5 months ago (2014-03-25 00:01:29 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/weitaosu@chromium.org/186763004/100001
5 years, 5 months ago (2014-03-25 00:02:32 UTC) #12
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 5 months ago (2014-03-25 00:33:08 UTC) #13
commit-bot: I haz the power
Retried try job too often on chromium_presubmit for step(s) presubmit http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=chromium_presubmit&number=57154
5 years, 5 months ago (2014-03-25 00:33:08 UTC) #14
weitao
Craig, could you please give the owner's nod to chrome/test/pyautolib/chromoting_helper.py?
5 years, 4 months ago (2014-03-25 05:51:27 UTC) #15
Sergey Ulanov
https://codereview.chromium.org/186763004/diff/100001/chrome/test/pyautolib/chromoting_helper.py File chrome/test/pyautolib/chromoting_helper.py (right): https://codereview.chromium.org/186763004/diff/100001/chrome/test/pyautolib/chromoting_helper.py#newcode127 chrome/test/pyautolib/chromoting_helper.py:127: 'ChromeRemoteDesktop.prefPane') pyauto tests are on death row - is ...
5 years, 4 months ago (2014-03-25 07:48:45 UTC) #16
craigdh
The one-word change in the pyautolib lgtm.
5 years, 4 months ago (2014-03-25 14:29:50 UTC) #17
weitao
The CQ bit was checked by weitaosu@chromium.org
5 years, 4 months ago (2014-03-25 16:55:53 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/weitaosu@chromium.org/186763004/100001
5 years, 4 months ago (2014-03-25 16:56:06 UTC) #19
commit-bot: I haz the power
Change committed as 259287
5 years, 4 months ago (2014-03-25 19:29:18 UTC) #20
weitao
The CQ bit was checked by weitaosu@chromium.org
5 years, 4 months ago (2014-03-27 19:01:57 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/weitaosu@chromium.org/186763004/270001
5 years, 4 months ago (2014-03-27 19:03:49 UTC) #22
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 4 months ago (2014-03-27 20:25:23 UTC) #23
commit-bot: I haz the power
Retried try job too often on win_rel for step(s) content_browsertests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win_rel&number=289638
5 years, 4 months ago (2014-03-27 20:25:23 UTC) #24
weitao
The CQ bit was checked by weitaosu@chromium.org
5 years, 4 months ago (2014-03-27 21:29:26 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/weitaosu@chromium.org/186763004/270001
5 years, 4 months ago (2014-03-27 21:35:14 UTC) #26
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 4 months ago (2014-03-28 02:00:01 UTC) #27
commit-bot: I haz the power
Commit queue rejected this change because the description was changed between the time the change ...
5 years, 4 months ago (2014-03-28 02:00:02 UTC) #28
weitao
The CQ bit was checked by weitaosu@chromium.org
5 years, 4 months ago (2014-03-28 05:19:10 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/weitaosu@chromium.org/186763004/270001
5 years, 4 months ago (2014-03-28 05:19:37 UTC) #30
commit-bot: I haz the power
5 years, 4 months ago (2014-03-28 05:22:02 UTC) #31
Message was sent while issue was closed.
Change committed as 260075

Powered by Google App Engine
This is Rietveld 408576698